pro printbits,index,iev,vers,color,rhs=rhs
;get the bits
bits = sagebits(vers,'INDEX',index.infvec,/quiet)
sz = size(bits,/type)
;check if it is an integer, rather than a structure
if sz eq 2 then begin
;if so it is an error code.  Don't print anything.
    return
endif
;get the names
tgnm = tag_names(bits)
;initialize the array
set = intarr(n_elements(tgnm))
;check which bits are set
for ibit = 0,n_elements(tgnm)-1 do begin
    if bits(iev).(ibit) eq 1 then set(ibit) = 1
endfor
mset = where(set)
;set up an output array
if mset(0) eq -1 then begin
    toprint=['Bits set:','none'] 
endif else begin
    toprint=['Bits set:',reverse(tgnm(mset))]
endelse
;get the position for the output
if keyword_set(rhs) then pos = 0.6 else pos = 0.2
xpos = (!x.crange(1)-!x.crange(0))*pos+!x.crange(0)
if !x.type eq 1 then xpos = 10^xpos
cs = !p.charsize
if cs eq 0. then cs = 1
ypos = !y.crange(0) - (findgen(n_elements(mset)+1)+3)*cs*2
xyouts,xpos,ypos,toprint,charsize=1.2,color=color
end



