; 
; IDL Widget Interface Procedures. This Code is automatically 
;     generated and should not be modified.

; 
; Generated on:	07/29/2002 15:27.42
; 
pro WID_BASE_1_event, Event

  wWidget =  Event.top

  case Event.id of

    Widget_Info(wWidget, FIND_BY_UNAME='W_MENU_8'): begin
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_BUTTON' )then $
        OnExit, Event
    end
    Widget_Info(wWidget, FIND_BY_UNAME='Realize'): begin
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_BUTTON' )then $
        plotdata, Event
    end
    Widget_Info(wWidget, FIND_BY_UNAME='Sunrise'): begin
    end
    Widget_Info(wWidget, FIND_BY_UNAME='Sunset'): begin
    end
    Widget_Info(wWidget, FIND_BY_UNAME='Species'): begin
    end
    Widget_Info(wWidget, FIND_BY_UNAME='Version'): begin
        ChooseVersion, Event
    end
    Widget_Info(wWidget, FIND_BY_UNAME='MinAlt'): begin
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_SLIDER' )then $
        AdjustLimitsMin, Event
    end
    Widget_Info(wWidget, FIND_BY_UNAME='MaxAlt'): begin
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_SLIDER' )then $
        AdjustLimitsMax, Event
    end
    Widget_Info(wWidget, FIND_BY_UNAME='MaxVal'): begin
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_SLIDER' )then $
        AdjustRangeMax, Event
    end
    Widget_Info(wWidget, FIND_BY_UNAME='MinVal'): begin
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_SLIDER' )then $
        AdjustRangeMin, Event
    end
    Widget_Info(wWidget, FIND_BY_UNAME='Colors'): begin
    end
    Widget_Info(wWidget, FIND_BY_UNAME='SaveImage'): begin
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_BUTTON' )then $
        SaveImage, Event
    end
    Widget_Info(wWidget, FIND_BY_UNAME='PS_Save'): begin
    end
    Widget_Info(wWidget, FIND_BY_UNAME='Fast'): begin
    end
    Widget_Info(wWidget, FIND_BY_UNAME='WID_BASE_1'): begin
        winsize, Event
    end
    Widget_Info(wWidget, FIND_BY_UNAME='Prev'): begin
        AdjustDate, Event
    end
    Widget_Info(wWidget, FIND_BY_UNAME='Next'): begin
        AdjustDate, Event
    end
    else:
  endcase

end

pro WID_BASE_1, GROUP_LEADER=wGroup, _EXTRA=_VWBExtra_

  Resolve_Routine, 'sagebrowser_eventcb',/COMPILE_FULL_FILE  ; Load event callback routines

  resolve_routine, 'sageprof',/no_recompile
  
  WID_BASE_1 = Widget_Base( GROUP_LEADER=wGroup, UNAME='WID_BASE_1'  $
      ,/row,/tlb_size_event $
      ,TITLE='SAGE Day Browser' ,SPACE=3 ,XPAD=3 ,YPAD=3  $
      ,MBAR=WID_BASE_1_MBAR)

  W_MENU_0 = Widget_Button(WID_BASE_1_MBAR, UNAME='W_MENU_0' ,/MENU  $
      ,VALUE='File')

  W_MENU_8 = Widget_Button(W_MENU_0, UNAME='W_MENU_8' ,VALUE='Exit')
  

  Draw = Widget_Draw(WID_BASE_1, UNAME='Draw' ,FRAME=1 ,$
      SCR_XSIZE=577 ,SCR_YSIZE=500 ,$
;  scr_xsize=800,scr_ysize=600,$
      SENSITIVE=0,RETAIN=1)

  wid_base_3 = widget_base(wid_base_1,uname='wid_base_3',/column)

  WID_BASE_0 = Widget_Base(WID_BASE_3, UNAME='WID_BASE_0',  $
      COLUMN=1,/EXCLUSIVE)


  Sunrise = Widget_Button(WID_BASE_0, UNAME='Sunrise' ,$
      EVENT_FUNC='Flipss' ,/ALIGN_LEFT,VALUE='Sunrise')

  WID_BASE_2 = Widget_Base(WID_BASE_3, UNAME='WID_BASE_2',  $
      COLUMN=1 ,/EXCLUSIVE)

  Sunset = Widget_Button(WID_BASE_2, UNAME='Sunset'  $
      ,EVENT_FUNC='flipsr' ,/ALIGN_LEFT ,VALUE='Sunset')

  deftype, Sunset, _EXTRA=_VWBExtra_

  Month = Widget_Droplist(WID_BASE_3, UNAME='Month' ,$
      VALUE=[ 'January', 'February', 'March', 'April',  $
      'May', 'June', 'July', 'August', 'September', 'October',  $
      'November', 'December' ])

  Day = Widget_Droplist(WID_BASE_3, UNAME='Day' ,$
      VALUE=[ '1', '2', '3', '4', '5', '6', '7', '8',  $
      '9', '10', '11', '12', '13', '14', '15', '16', '17', '18',  $
      '19', '20', '21', '22', '23', '24', '25', '26', '27', '28',  $
      '29', '30', '31' ])

  Year = Widget_Droplist(WID_BASE_3, UNAME='Year' ,$
      VALUE=[ '1984',  $
      '1985', '1986', '1987', '1988', '1989', '1990', '1991', '1992',  $
      '1993', '1994', '1995', '1996', '1997', '1998', '1999', '2000',  $
      '2001', '2002', '2003' ])

  WID_BASE_8 = Widget_Base(WID_BASE_3, UNAME='WID_BASE_8',/row)
  
  Prev = Widget_Button(WID_BASE_8, UNAME='Prev', FRAME=1, VALUE='Prev')
  Next = Widget_Button(WID_BASE_8, UNAME='Next', FRAME=1, VALUE='Next')

;get the version names
  setshortcuts,shortcuts
;check that shortcuts is set, by checking the type with the size function
  sz = size(shortcuts)
  tp = sz(n_elements(sz)-2)
  if tp eq 8 then begin
      values = [reverse(shortcuts.version),'Browse']
  endif else begin
      values = ['Browse']
  endelse

  Version = Widget_Droplist(WID_BASE_3, UNAME='Version', $
      VALUE=values)
  
  Species = Widget_Droplist(WID_BASE_3, UNAME='Species',$
      EVENT_FUNC='AdjustPara' ,VALUE=[ '1020 nm', '525-nm', '452'+ $
      ' nm', '385 nm', 'O3', 'NO2', 'H2O', 'Extinction Ratio' ])
  
  MinAlt = Widget_Slider(WID_BASE_3, UNAME='MinAlt' ,$
      TITLE='Minimum Altitude' ,MAXIMUM=30)

  
  MaxAlt = Widget_Slider(WID_BASE_3, UNAME='MaxAlt' ,$
      TITLE='Maximum Altitude' ,MINIMUM=10 ,MAXIMUM=40 ,VALUE=40)

  
  MaxVal = Widget_Slider(WID_BASE_3, UNAME='MaxVal' ,$
      TITLE='Maximum Value',MINIMUM=-6 ,MAXIMUM=-1 ,VALUE=-2)

  
  MinVal = Widget_Slider(WID_BASE_3, UNAME='MinVal' ,$
      TITLE='Minimum Value',MINIMUM=-7 ,MAXIMUM=-2 ,VALUE=-6)

  Colors = Widget_Droplist(WID_BASE_3, UNAME='Colors' ,$
      EVENT_FUNC='ColorLoad' ,VALUE=[ 'Default CT', 'B-W LINEAR   ',  $
      'BLUE/WHITE   ', 'GRN-RED-BLU-WHT   ', 'RED TEMPERATURE   ',  $
      'BLUE/GREEN/RED/YE   ', 'STD GAMMA-II   ', 'PRISM', 'RED-PURPLE'+ $
      '   ', 'GREEN/WHITE LINEA   ', 'GRN/WHT EXPONENTI   ',  $
      'GREEN-PINK   ', 'BLUE-RED   ', '16 LEVEL   ', 'RAINBOW   ',  $
      'STEPS   ', 'STERN SPECIAL   ', 'Haze   ', 'Blue - Pastel - R  '+ $
      ' ', 'Pastels   ', 'Hue Sat Lightness   ', 'Hue Sat Lightness  '+ $
      ' ', 'Hue Sat Value 1   ', 'Hue Sat Value 2   ', 'Purple-Red +'+ $
      ' Stri   ', 'Beach   ', 'Mac Style   ', 'Eos A   ', 'Eos B',  $
      'Hardcandy', 'Nature', 'Ocean', 'Peppermint', 'Plasma',  $
      'Blue-Red', 'Rainbow', 'Blue Wave', 'Volcano', 'Waves',  $
      'Rainbow', 'Rainbow + white', 'Rainbow + black' ])
  
  Filter = Widget_Droplist(WID_BASE_3, UNAME='Filter' $
      ,VALUE=[ 'No Error Filter', '10% Error Filter',  $
      '25% Error Filter', '50% Error Filter', '100% Error Filter',  $
      '200% Error Filter', '300% Error Filter' ])

  
  WID_BASE_5 = Widget_Base(WID_BASE_3, UNAME='WID_BASE_5',/row )

  
  SaveImage = Widget_Button(WID_BASE_5, UNAME='SaveImage' ,FRAME=1  $
      ,/ALIGN_CENTER ,VALUE=' Save')

  WID_BASE_4 = Widget_Base(WID_BASE_5, UNAME='WID_BASE_4' $
      ,TITLE='IDL' ,COLUMN=1 ,/NONEXCLUSIVE)

  
  PS_Save = Widget_Button(WID_BASE_4, UNAME='PS_Save'  $
      ,EVENT_FUNC='PS_Save' ,/ALIGN_LEFT ,VALUE='Save PS')

  
  PS_Start, PS_Save, _EXTRA=_VWBExtra_

  WID_BASE_6 = Widget_Base(WID_BASE_3, UNAME='WID_BASE_6',/row )

  WID_BASE_7 = Widget_Base(WID_BASE_6, UNAME='WID_BASE_7' $
      ,COLUMN=1,/NONEXCLUSIVE)

  Fast = Widget_Button(WID_BASE_7, UNAME='Fast' $
      ,EVENT_FUNC='Fast',/ALIGN_LEFT, VALUE='Fast Rendering')
  Fast_Start, Fast, _EXTRA=_VWBExtra_

  Realize = Widget_Button(WID_BASE_6, UNAME='Realize' ,FRAME=1,  $
      /ALIGN_CENTER ,VALUE='Realize')

;get the size of the button area
  sizeinfo = widget_info(WID_BASE_3, /geometry)
  winsize,buttonx=sizeinfo.xsize,buttony=sizeinfo.ysize
  
  Widget_Control, /REALIZE, WID_BASE_1

  XManager, 'WID_BASE_1', WID_BASE_1, /NO_BLOCK  

end
; 
; Empty stub procedure used for autoloading.
; 
pro sagebrowser, GROUP_LEADER=wGroup, _EXTRA=_VWBExtra_
  WID_BASE_1, GROUP_LEADER=wGroup, _EXTRA=_VWBExtra_
end
